## GMimeFilterCharset GMimeFilterCharset — Charset-conversion filter |

## Functions

GMimeFilter * | g_mime_filter_charset_new ()

## Types and Values

struct | GMimeFilterCharset

## Description

A GMimeFilter which is used for converting text from one charset to another.

## Functions

### g_mime_filter_charset_new ()

    GMimeFilter *
    g_mime_filter_charset_new (const char *from_charset,
                               const char *to_charset);

Creates a new GMimeFilterCharset filter.

#### Parameters

from_charset | charset to convert from |
to_charset | charset to convert to |

#### Returns

a new charset filter or `NULL` if the charset conversion is not possible.

## Types and Values

### struct GMimeFilterCharset

    struct GMimeFilterCharset {
    	GMimeFilter parent_object;

    	char *from_charset;
    	char *to_charset;
    	iconv_t cd;
    };

A filter to convert between charsets.

#### Members

GMimeFilter `parent_object`; | parent GMimeFilter |
char *`from_charset`; | charset that the filter is converting from |
char *`to_charset`; | charset the filter is converting to |
iconv_t `cd`; | charset conversion state |